From c6718547f794a53a90b82d6ca8d961daa3b916fc Mon Sep 17 00:00:00 2001
From: Chuan Zheng <zhengchuan@huawei.com>
Date: Mon, 30 Nov 2020 12:05:36 +0800
Subject: [PATCH build and enhance 7/8] kpatch_cc: add GCC '-I xx/xxx' option
 support

When qemu links library with relative path such as '-I qga/qapi-generated',
kpatch_cc could recognize qga/qapi-generated as input file which results in
making patch failure.
Fix it by ignoring '-I' if matching.

Change-Id: I3d657d6b984e95f97d75cac5ff60832e165f9c35
Signed-off-by: imxcc <xingchaochao@huawei.com>
---
 libcare.spec    | 5 ++++-
 src/kpatch_cc.c | 5 +++++
 2 files changed, 9 insertions(+), 1 deletion(-)

diff --git a/libcare.spec b/libcare.spec
index 6ba8d04..a808d9c 100644
--- a/libcare.spec
+++ b/libcare.spec
@@ -1,7 +1,7 @@
 Version: 0.1.4
 Name: libcare
 Summary: LibCare tools
-Release: 8%{?dist}
+Release: 9%{?dist}
 Group: Applications/System
 License: GPLv2
 Url: http://www.cloudlinux.com
@@ -158,6 +158,9 @@ exit 0
 %endif
 
 %changelog
+* Thu Sep 23 2021 Chuan Zheng <zhengchuan@huawei.com> - 0.1.4-9
+- kpatch_cc: add GCC '-I xx/xxx' option support
+
 * Thu Sep 23 2021 Jiajie Li <lijiajie11@huawei.com> - 0.1.4-8
 - kpatch_parse: cancel is_func_need_ignore function
 - kpatch_gensrc: modify in_syms_list function for function ignore
diff --git a/src/kpatch_cc.c b/src/kpatch_cc.c
index 494bdaf..cdda512 100644
--- a/src/kpatch_cc.c
+++ b/src/kpatch_cc.c
@@ -418,6 +418,11 @@ static void init(int argc_, const char **argv_)
 				action = SHOW_VERSION;
 			}
 			continue;
+		case 'I':
+			if (strcmp(arg, "-I") == 0) {
+				i++;
+			}
+			continue;
 		}
 	}
 
-- 
2.19.1

